//
//  JsonExampleAppDelegate.m
//  JsonExample
//
//  Created by Woo Ram Park on 09. 04. 02.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "JsonExampleAppDelegate.h"
#import <JSON/JSON.h>

@implementation JsonExampleAppDelegate

@synthesize window;


- (void)applicationDidFinishLaunching:(UIApplication *)application {
	
	NSDictionary *dict;
	NSString *key;
	
	// JSON 문법으로 변환할 데이터 생성
	dict = [NSDictionary dictionaryWithObjectsAndKeys:
			@"eye", @"name",
			@"http://theeye.pe.kr", @"home",
			@"27", @"age",
			nil];
	
	// JSON 라이브러리 생성
    SBJSON *json = [SBJSON new];
	[json setHumanReadable:YES];
	
	// 변환
	NSString *result = [json stringWithObject:dict error:nil];
	NSLog(@"converted data :\n%@", result);
	
	// 이전데이터를 소거함을 증명
	dict = nil;
	
	// JSON 문자열을 객체로 변환
	dict = [json objectWithString:result error:nil];
	
	// 결과 출력
	for (key in dict) {
		NSLog(@"Key: %@, Value: %@", key, [dict valueForKey:key]);
	}

    [window makeKeyAndVisible];
}


- (void)dealloc {
    [window release];
    [super dealloc];
}


@end
